diagnostics_relay_action_t
diagnostics_relay_client_free
diagnostics_relay_client_new
diagnostics_relay_client_start_service
diagnostics_relay_client_t
diagnostics_relay_error_t
diagnostics_relay_goodbye
diagnostics_relay_query_ioregistry_entry
diagnostics_relay_query_ioregistry_plane
diagnostics_relay_query_mobilegestalt
diagnostics_relay_request_diagnostics
DIAGNOSTICS_RELAY_REQUEST_TYPE_ALL
DIAGNOSTICS_RELAY_REQUEST_TYPE_GAS_GAUGE
DIAGNOSTICS_RELAY_REQUEST_TYPE_NAND
DIAGNOSTICS_RELAY_REQUEST_TYPE_WIFI
diagnostics_relay_restart
DIAGNOSTICS_RELAY_SERVICE_NAME
diagnostics_relay_shutdown
diagnostics_relay_sleep

## diagnostics_relay_client_new()

LIBIMOBILEDEVICE_API diagnostics_relay_error_t diagnostics_relay_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | diagnostics_relay_client_t * | client )

Connects to the diagnostics_relay service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Reference that will point to a newly allocated diagnostics_relay_client_t upon successful return.

Returns
  DIAGNOSTICS_RELAY_E_SUCCESS on success, DIAGNOSTICS_RELAY_E_INVALID_ARG when one of the parameters is invalid, or DIAGNOSTICS_RELAY_E_MUX_ERROR when the connection failed.